﻿/*
    LLCryptoLib Examples
    Advanced .NET Encryption and Hashing Library
    
	 
    Copyright (C) 2003-2012 LittleLite Software
    
*/
using System;
using System.IO;
using LLCryptoLib.Security.Certificates;

namespace LLCryptoLibExamples
{
    sealed class CertificateExample
    {
        const string CERTIFICATE_FILE = "testcertificate.pfx";
        const string CERTIFICATE_PASSWORD = "test";

        public static void ReadPFXCertificate()
        {
            // Open test certificate (in PFX format with password=TEST)
            if (File.Exists(CERTIFICATE_FILE))
            {
                LLCertificate certificate = LLCertificate.CreateCertificate(CERTIFICATE_FILE, CERTIFICATE_PASSWORD);
                Console.WriteLine("Certificate opened.");
                Console.WriteLine("Certificate ");
                Console.WriteLine(" -- Serial Number > " + certificate.SerialNumber);
                Console.WriteLine(" -- Hash Code     > " + certificate.Hash);
                Console.WriteLine(" -- Exp. Date     > " + certificate.GetExpirationDate().ToString());
                Console.WriteLine(" -- Issuer        > " + certificate.Issuer);
                Console.WriteLine(" -- Algorithm     > " + OidContainer.GetDescription(certificate.KeyAlgorithm));
            }
            else
            {
                Console.WriteLine("Error: cannot find certificate file " + CERTIFICATE_FILE);
            }
        }
    }
}
