/*
    LLCryptoLib Examples
    Advanced .NET Encryption and Hashing Library
    
	 
    Copyright (C) 2003-2008 LittleLite Software
    
*/

using System;
using System.IO;
using System.Collections.Generic;
using System.Text;

using LLCryptoLib.Utils;

namespace LLCryptoLibExamples
{
    public static class RandomFile
    {
    
    	public static FileInfo CreateRandomBinary()
    	{
    		return CreateRandomBinary("testBinaryFile.bin", 134009);
    	}
    	
        /// <summary>
        /// Creates the random binary.
        /// </summary>
        /// <returns></returns>
        public static FileInfo CreateRandomBinary(string fileName, int fileLen)
        {
            if (File.Exists(fileName))
            {
                File.Delete(fileName);
            }

            FileInfo createdFile = null;

            Random rndGen = new Random();
            byte[] fileBuffer = new byte[fileLen];
            rndGen.NextBytes(fileBuffer);
            FileManager fm = FileManager.Reference;
            if (fm.WriteBinaryFile(fileName, fileBuffer))
            {
                createdFile = new FileInfo(fileName);
                Console.WriteLine("Created file " + fileName + " size: " + createdFile.Length);
            }

            return createdFile;
        }
    }
}
