/*
    LLCryptoLib Examples
    Advanced .NET Encryption and Hashing Library
    
	 
    Copyright (C) 2003-2008 LittleLite Software
    
*/
using System;
using System.Collections;
using System.Text;
using LLCryptoLib;
using LLCryptoLib.Crypto;

namespace LLCryptoLibExamples
{
    class RunExamples
    {
        [STAThread]
        static void Main(string[] args)
        {
            //// Asymmetric encryption
            try
            {
                Console.WriteLine("PUBLIC KEY ENCRYPTION EXAMPLE");
                Console.WriteLine();
                PublicKeyEncryption.PublicKeyExample();
                Console.WriteLine("Press ENTER");
                Console.ReadLine();
            }
            catch (LLCryptoLibException lex)
            {
                Console.WriteLine("Public key not error: " + lex.Message);
            }

            //// Digital Signature
            try
            {
                Console.WriteLine();
                Console.WriteLine("DIGITAL SIGNATURE EXAMPLE");
                Console.WriteLine();
                PublicKeyEncryption.DigitalSignExample();
                Console.WriteLine("Press ENTER");
                Console.ReadLine();
            }
            catch (LLCryptoLibException lex)
            {
                Console.WriteLine("Digital signature error: " + lex.Message);
            }

            // Hashes
			Console.WriteLine();
            Console.WriteLine("FILE HASH CODE COMPUTING EXAMPLE");
            Console.WriteLine();
            HashExample.Hash();
            Console.WriteLine("Press ENTER");
            Console.ReadLine();

            // Text Hashes
			Console.WriteLine();
            Console.WriteLine("TEXT HASH CODE COMPUTING EXAMPLE");
            Console.WriteLine();
            HashExample.HashString();
            Console.WriteLine("Press ENTER");
            Console.ReadLine();

            // Symmetric encryption
			Console.WriteLine();
            Console.WriteLine("SYMMETRIC ENCRYPTION EXAMPLE");
            Console.WriteLine();
            StreamEncryptionExample.EncryptFile(SupportedStreamAlgorithms.CAST5);
            Console.WriteLine("Press ENTER");
            Console.ReadLine();

            // Text encryption
			Console.WriteLine();
            Console.WriteLine("TEXT ENCRYPTION EXAMPLE");
            Console.WriteLine();
            TextEncryptionExample.EncryptString();
            Console.WriteLine("Press ENTER");
            Console.ReadLine();

            // Shred file
			Console.WriteLine();
            Console.WriteLine("FILE SHREDDING EXAMPLE");
            Console.WriteLine();
            ShredExample.ShredFile(); 
            Console.WriteLine("Press ENTER");
            Console.ReadLine();

            // Operations' feedback
			Console.WriteLine();
            Console.WriteLine("SYMMETRIC ENCRYPTION EXAMPLE WITH OPERATIONS FEEDBACK");
            Console.WriteLine();
            FeedbackExample.EncryptFileWFeedBack();
            Console.WriteLine("Press ENTER");
            Console.ReadLine();

        }
    }
}
